## org.freedesktop.NetworkManager.Device.Generic

org.freedesktop.NetworkManager.Device.Generic

## Signals

    PropertiesChanged (a{sv} properties);

## Properties

    HwAddress        readable   s
    TypeDescription  readable   s

## Description

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

DEPRECATED. Use the standard "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" instead which exists since version NetworkManager 1.2.0.

`a{sv} `properties``: | A dictionary mapping property names to variant boxed values

## Property Details

### The "HwAddress" property

    HwAddress  readable   s

Hardware address of the device.

### The "TypeDescription" property

    TypeDescription  readable   s

A (non-localized) description of the interface type, if known.